ChartDirector Ver 4.1 (PHP Edition Edition)

XYChart.setPlotArea

Usage

setPlotArea(x, y, width, height [, bgColor [, altBgColor [, edgeColor [, hGridColor [, vGridColor ]]]]])

Description

Sets the position, size, background colors, edge color and grid colors of the plot area.

Arguments

Argument | Default | Description
--- | --- | ---
x | (Mandatory) | The x coordinate of the left of the plot area.
y | (Mandatory) | The y coordinate of the top of the plot area.
width | (Mandatory) | The width of the plot area in pixels.
height | (Mandatory) | The height of the plot area in pixels.
bgColor | Transparent | The background color of the plot area.
altBgColor | -1 | The second background color of the plot area. -1 means there is no second background color. If there is a second background color, the two background colors will be used alternatively as horizontal bands on the background grid.
edgeColor | -1 | The border color of the plot area. -1 means to use the default, which is LineColor. However, if the axes are configured in 4 quadrant mode (see XYChart.setAxisAtOrigin), the default will change to Transparent.
hGridColor | C0C0C0 | The horizontal grid color.
vGridColor | Transparent | The vertical grid color.

Return Value

A PlotArea object representing the plot area.

© 2006 Advanced Software Engineering Limited. All rights reserved.